CFG80211_CQM_PKTLOSS(9)

NAME
cfg80211_cqm_pktloss_notify - notify userspace about packetloss to peer

SYNOPSIS

void cfg80211_cqm_pktloss_notify(struct net_device * dev, const u8 * peer, u32 num_packets, gfp_t gfp);

ARGUMENTS

dev
    network device

peer
    peer's MAC address

num_packets
    how many packets were lost -- should be a fixed threshold but probably no less than maybe 50, or maybe a throughput dependent threshold (to account for temporary interference)

gfp
    context flags

AUTHOR

Johannes Berg <johannes@sipsolutions.net>
    Author.

COPYRIGHT